# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/meego-sound-theme.git
# git archive --format=tar --prefix=%{name}-%{version}/ %{git_version} | bzip2 > %{name}-%{version}-%{gitdate}.tar.bz2

%define gitdate 20101107
%define git_version 74495cbe
%define tarfile %{name}-%{version}-%{gitdate}.tar.bz2
%define snapshot %{gitdate}git%{git_version}

Name:           meego-sound-theme
Version:        0.5
Release:        2.%{snapshot}%{?dist}
Summary:        MeeGo sound theme

Group:          User Interface/Desktops
License:        CC-BY-SA
URL:            http://www.meego.org/
Source0:        %{tarfile}
BuildArch:      noarch

Provides: moblin-sound-theme = %{version}-%{release}
Obsoletes: moblin-sound-theme < 0.5

%description
MeeGo sound theme

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_datadir}/sounds/meego/stereo

install -pm 0644 index.theme %{buildroot}/%{_datadir}/sounds/meego/
for file in stereo/{*.wav,*.ogg}; do
  install -pm 0644 $file %{buildroot}/%{_datadir}/sounds/meego/stereo/
done

%clean
rm -rf %{buildroot}

%post
/bin/touch --no-create %{_datadir}/sounds/meego %{_datadir}/sounds

%postun
/bin/touch --no-create %{_datadir}/sounds/meego %{_datadir}/sounds

%files
%defattr(-,root,root,-)
%doc COPYING NEWS
%dir %{_datadir}/sounds/meego
%dir %{_datadir}/sounds/meego/stereo
%{_datadir}/sounds/meego/index.theme
%{_datadir}/sounds/meego/stereo/*.ogg
%{_datadir}/sounds/meego/stereo/*.wav

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2.20101107git74495cbe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov  7 2010 Peter Robinson <pbrobinson@gmail.com> 0.5-1
- 0.5 release snapshot
- rename from moblin-sound-theme

* Sat Jun 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.4-1
- New upstream 0.4 release

* Sun Aug  2 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-1
- New upstream 0.3 release

* Mon Jun 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.1-1
- Initial packaging
